Search Unity

Resolved v0.9 - Forgot to set TextMeshPro as package dependency

Discussion in 'Game Foundation' started by Lurking-Ninja, Jun 10, 2021.

  1. Lurking-Ninja

    Lurking-Ninja

    Joined:
    Jan 20, 2015
    Posts:
    8,050
    As the title says, you forgot to set TextMeshPro as dependency in the Game Foundation package so when you install GF or update from an older version and you don't have TextMeshPro (for example because you're using the new TextCore system), you get an error.

    screenshot1.png
     
    erika_d and mk0a1a like this.
  2. erika_d

    erika_d

    Unity Technologies

    Joined:
    Jan 20, 2016
    Posts:
    400
    Hi @Lurking-Ninja

    Thanks for pointing this out! We just released a patch (0.9.0-preview.3) that includes a dependency on TextMesh Pro. Long term we're exploring options for a solution that doesn't require this hard dependency, but in the short term it's necessary to ensure the released version installs smoothly, as you point out.
     
    Ruchir and Lurking-Ninja like this.
unityunity